#ifndef XMLINPUT_H
#define XMLINPUT_H
#define _XOPEN_SOURCE
#include "config.h"
#include "results.h"
#include "message.h"
#include "data.h"
#include "stuff.h"
#include <stdlib.h>
#include <stdio.h>
#include <libxml/tree.h>
#include <libxml/parser.h>

class XMLInput {
  private:
    Config *config;
    MHandler *mhandler;
    Results *results;
    xmlDocPtr InitXML ();
    void FreeXML ();
    void InitNodes ();
    void LoadFiles ();
    void LoadDomains ();
    void LoadMessages ();
    xmlDocPtr result;
    xmlNodePtr NFiles;
    xmlNodePtr NDomains;
    xmlNodePtr NMessages;
    
  protected:
  public:
    XMLInput (Config *config_p,MHandler *mhandler_p,Results *result_p);
    ~XMLInput ();
    LogFiles *lWurzel;
    
    int LoadResults ();
};
#endif
