#ifndef GRAPHS_H
#define GRAPHS_H
#include <gd.h>
#include <gdfonts.h>
#include <gdfontl.h>
#include <stdio.h>
#include <stdlib.h>
#include "data.h"
#include "config.h"

class Images {
  protected:
    gdImagePtr	imgptr;
    int black,white;
    int green,orange;
    int colormap[255];		// ist auch gleichzeitig die Begrenzung fr die maximalen Domains
    gdImagePtr init_graph (char *title, int xsize, int ysize);
    void save_image (char *save_file);
    void DrawPie (gdImagePtr image,int mx,int my,int r,int aangle,int eangle,int color);
  private:
  public:
    Images (Config *config_p);
    Config *config;
    ~Images ();
    
    void hourly_usage (int usage[2][24],struct tm *start);
    char *month_usage (unsigned long usage[12],char *domainview);		// Liefert den Dateinamen zurck
    char *domain_view (Domains *domain);
};

#endif
